| POST | /RestApi/cache//add |
|---|
import java.math.*;
import java.util.*;
import net.servicestack.client.*;
public class dtos
{
public static class AddExternalCacheRequest
{
public String Url = null;
public String CacheKey = null;
public ArrayList<String> Keys = null;
public String getUrl() { return Url; }
public AddExternalCacheRequest setUrl(String value) { this.Url = value; return this; }
public String getCacheKey() { return CacheKey; }
public AddExternalCacheRequest setCacheKey(String value) { this.CacheKey = value; return this; }
public ArrayList<String> getKeys() { return Keys; }
public AddExternalCacheRequest setKeys(ArrayList<String> value) { this.Keys = value; return this; }
}
public static class AddExternalCacheResponse
{
public Boolean Result = null;
public String Message = null;
public Boolean isResult() { return Result; }
public AddExternalCacheResponse setResult(Boolean value) { this.Result = value; return this; }
public String getMessage() { return Message; }
public AddExternalCacheResponse setMessage(String value) { this.Message = value; return this; }
}
}
Java AddExternalCacheRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/cache//add HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
Url: String,
CacheKey: String,
Keys:
[
String
]
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Result: False,
Message: String
}